#! /usr/bin/env python3
# -*- coding: utf-8 -*-

import re

#imports the dictionary
d = {}
with open("dictionary") as dictionary:
	for line in dictionary:
		(key, val) = line.split()
		d[key] = val

#and alphabet
a = {}
with open("alpha") as alphabet:
	for line in alphabet:
		(key, val) = line.split()
		a[key] = val

#sets punctuation to be removed
punct_str = '!"#$%&\'()*+,-./:;<=>/?@[\\]^_`{|}~«» '

#if function to put you in correct loop
wish = input("do you wish to translate words not in the dictionary today? (yes): ")

if wish.lower() in ["", "y", "yes"]:
	while True:
		inp = input("to berndese: ").strip(punct_str).lower()
		#split words from input string and replace those not in dictionary
		for word in inp.split():
			if word not in d:
				#cipher the input and add to the dictionary
				trans = ''.join([a.get(character) for character in re.findall('th|ng|sh|ch|ph|a|e|i|o|u|b|c|d|f|g|h|j|k|l|m|n|p|r|s|t|v|k|q|w|x|y|z|\^', input("please spell " + word + " phonetically in english with vowel indicators '^': ").lower())])
				#add value to dictionary
				d[word] = trans
				#write value out to dictionary file
				print(word, trans, file = open('dictionary', 'a'))
		
		print(' '.join([d.get(word, word) for word in inp.split()]))

else:
	while True:
		#strip punctuation and translate
		print(' '.join([d.get(word.strip(punct_str).lower(), word) for word in input("to berndese: ").split()]))
